Skip to main content
GET
/
fleet
/
vehicles
List all vehicles.
curl --request GET \
  --url https://api.samsara.com/fleet/vehicles \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "createdAtTime": "2015-02-05T04:46:53Z",
      "id": "494123",
      "attributes": [
        {
          "dateValues": [
            "2024-01-15",
            "2024-12-31"
          ],
          "id": "494123",
          "name": "Compliance/ELD",
          "numberValues": [
            867,
            5309
          ],
          "stringValues": [
            "HQ",
            "Leased"
          ]
        }
      ],
      "auxInputType1": "boom",
      "auxInputType10": "boom",
      "auxInputType11": "boom",
      "auxInputType12": "boom",
      "auxInputType13": "boom",
      "auxInputType2": "boom",
      "auxInputType3": "boom",
      "auxInputType4": "boom",
      "auxInputType5": "boom",
      "auxInputType6": "boom",
      "auxInputType7": "boom",
      "auxInputType8": "boom",
      "auxInputType9": "boom",
      "cameraSerial": "CNCK-VT8-XA8",
      "esn": "56349811",
      "externalIds": {},
      "gateway": {
        "model": "VG34",
        "serial": "GFRV-43N-VGX"
      },
      "harshAccelerationSettingType": "off",
      "isRemotePrivacyButtonEnabled": true,
      "licensePlate": "6SAM123",
      "make": "Ford",
      "model": "F150",
      "name": "Fleet Truck #1",
      "notes": "These are notes about this given vehicle.",
      "sensorConfiguration": {
        "areas": [
          {
            "position": "back",
            "cargoSensors": [
              {
                "id": "12345",
                "mac": "00:00:5e:00:53:af",
                "name": "Rear temperature sensor"
              }
            ],
            "humiditySensors": [
              {
                "id": "12345",
                "mac": "00:00:5e:00:53:af",
                "name": "Rear temperature sensor"
              }
            ],
            "temperatureSensors": [
              {
                "id": "12345",
                "mac": "00:00:5e:00:53:af",
                "name": "Rear temperature sensor"
              }
            ]
          }
        ],
        "doors": [
          {
            "position": "back",
            "sensor": {
              "id": "12345",
              "mac": "00:00:5e:00:53:af",
              "name": "Rear temperature sensor"
            }
          }
        ]
      },
      "serial": "VG12345",
      "staticAssignedDriver": {
        "id": "0987",
        "name": "Driver Name"
      },
      "tags": [
        {
          "id": "3914",
          "name": "East Coast",
          "parentTagId": "4815"
        }
      ],
      "updatedAtTime": "1985-04-25T12:52:40Z",
      "vehicleRegulationMode": "regulated",
      "vehicleType": "unset",
      "vehicleWeight": 1000,
      "vehicleWeightInKilograms": 1000,
      "vehicleWeightInPounds": 2200,
      "vin": "1GBJ6P1B2HV112765",
      "year": "2008"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:512

The limit for how many objects will be in the response. Default and max for this value is 512 objects.

Required range: 1 <= x <= 512
after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

parentTagIds
string

A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678

tagIds
string

A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678

attributeValueIds
string

A filter on the data based on this comma-separated list of attribute value IDs. Only entities associated with ALL of the referenced values will be returned (i.e. the intersection of the sets of entities with each value). Example: attributeValueIds=076efac2-83b5-47aa-ba36-18428436dcac,6707b3f0-23b9-4fe3-b7be-11be34aea544

attributes
string[]

A filter on the data to return entities having given attributes using either name-value pair, or range query (only for numeric and date attributes) separated by a comma. Only entities meeting all the conditions will be returned. Example: attributes=ExampleAttributeName:some_value&attributes=SomeOtherAttr:123&attributes=Length:range(10,20)&attributes=Date:range(2025-01-01,2025-01-31)

updatedAfterTime
string

A filter on data to have an updated at time after or equal to this specified time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

createdAfterTime
string

A filter on data to have a created at time after or equal to this specified time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

Response

OK response.

data
object[]
required

Multiple vehicles.

pagination
object
required

Pagination parameters.